Subject: Re: Is SGI O2/150 much faster than PII/233?

From: "M. Nicklaus" <[email-masked]>
Date: Wed, 24 Jun 1998 14:17:49 -0400 (EDT)

On Tue, 23 Jun 98 16:49:27, Serguei Patchkovskii wrote:

> > I don't have benchmark results for either exactly an SGI O2/150 or for G94W    
> > run on PII/233.  However, in the context of extensive benchmarking of G94 on  
> > a range of computers--from Cray J90 to Alpha and Pentium II/Pro systems--
> > (paper forthcoming in J. Chem. Inf. Comput. Sci.), we have obtained results
> > for two systems that are close enough that they might allow extrapolation to
> > the computers you're looking at.
> > 
> > Aggregate job cpu times (sec) for G94 test jobs 1, 28, 94, 155, 194, 296, 302:
> > SGI Origin 200, R10000 195 MHz CPU, 64 MB RAM:         923 sec
> > Pentium II 300 MHz CPU, 64 MB RAM, Windows NT:        1283 sec
> > 
> > So I would venture to guess that an SGI O2/150 workstation would run G94
> > faster than G94W run on PII/233, but not "much faster".  I'd expect on the
> > order of 50% more CPU time on the PII/233 compared to SGI O2/150.
> 
> Sorry, Marc, but this estimation is not valid. R5k is a very different CPU
> from R10k. In particular, the R5k was optimized for single precision floating
> point. It does not perform well for double precision, which is that Gaussian
> is going to excersize. It is also an in-order CPU, and does not tolerate
> memory latencies well. The R10k, on the other hand, is super-scalar out-of-
> order processor, and has been optimized for double precision floating point.
> At the same clock speed, R10k may easily be four times faster for double-
> precision floating point than R5k.
[snip]

I agree.  I had overlooked the fact that the SGI O2/*150* is (may be? --see below)
not an R10k machine like the newer R10k@250MHz and R10k@195MHz O2's.  This indeed 
would invalidate my comparison.  (The original question didn't mention CPU type.)
   But then, HUMBEL Stephane <[email-masked]> wrote:
> Hi, as I am going to buy an Origin 200 and I have an O2, I did the same
> benchmark as patchkov, here are the results
> 
> > Aggregate job cpu times (sec) for G94 test jobs 1, 28, 94, 155, 194, 296, 302:
> > SGI Origin 200, R10000 195 MHz CPU, 64 MB RAM:         923 sec
> > Pentium II 300 MHz CPU, 64 MB RAM, Windows NT:        1283 sec
>   SGI O2          R10000 150 Mhz CPU, 320MB RAM:        1418 sec
                     =====??
> if you are aware of better O2 results I'd like to know that. I am not very
> happy with my mips4 compilation. (G94 rev E.2, this bench was with another 
> job running on the same machine, but it should not matter for cpu results 
> as I do have enough memory).

Carlos Simmerling <[email-masked]> pointed out to me that there is no 
such thing as a *195*MHz R10k Origin 200, but only a 180MHz version.  The machine 
on which the above G94 timing was obtained had indeed an R10k 195MHz CPU, but was 
an Indigo2 system.  (I got confused because the machine with the same hostname is 
*now* an Origin 200 but was an Indigo2 at the time of the benchmarking.)

Also, these small test jobs are not always a good indicator for the performance
of a system for larger 'real-life' G94 jobs.  We've clearly seen this in our
benchmarking, where we also timed larger DFT jobs.  However, the two machines
I mentioned were unfortunately not included in the DFT part of our comparison.

I apologize for the confusion that my posting may have created.  I guess I 
should have stuck to the numbers we've actually measured and not tried to
guess benchmark outcomes :-\

Finally, lest my posting may create the impression that I was basically trying to
say "these commodity-type computers such as PII systems cannot do real serious
(G94) work", let me assure you that the exact opposite is true (as our benchmark
study clearly showed.)

Marc

------------------------------------------------------------------------
 Marc C. Nicklaus                        National Institutes of Health
 E-mail: [email-masked]               Bldg 37, Rm 5B29
 Phone:  (301) 402-3111                  37 Convent Dr, MSC 4255       
 Fax:    (301) 496-5839                  BETHESDA, MD 20892-4255    USA 
      http://rex.nci.nih.gov/RESEARCH/basic/medchem/mcnbio.htm
    Laboratory of Medicinal Chemistry, National Cancer Institute,  &
  Center for Molecular Modeling, Ctr. for Information Technology, NIH
------------------------------------------------------------------------

---

From: "Peter Shenkin" <[email-masked]>
Date: Wed, 24 Jun 1998 15:56:27 -0400

On Jun 24,  2:17pm, M. Nicklaus wrote:
> Subject: CCL:G:Is SGI O2/150 much faster than PII/233?
> ... these small test jobs are not always a good indicator for the performance

I'm glad someone finally said this.  For CPU bound jobs, it's clear
that Pentium II will be faster than O2 and it's to its credit that
it's competitive with R10000.  

But many large Gaussian jobs are IO bound, and here a Pentium II
with a conventional architecture will probably suffer.  

	-P.

-- 
*********** How can we have ethnic music without ethnic hatred? ***********
* Peter S. Shenkin; Chemistry, Columbia U.; 3000 Broadway, Mail Code 3153 *
** NY, NY  10027;  [email-masked];  (212)854-5143;  FAX: 678-9039 ***
*MacroModel WWW page: http://www.columbia.edu/cu/chemistry/mmod/mmod.html *